import { Command, CommandOptions } from '@teambit/cli';
import { Logger } from '@teambit/logger';
import React from 'react';
import type { UiMain } from './ui.main.runtime';
declare type StartArgs = [userPattern: string];
declare type StartFlags = {
    dev: boolean;
    port: string;
    rebuild: boolean;
    verbose: boolean;
    noBrowser: boolean;
    skipCompilation: boolean;
    skipUiBuild: boolean;
    uiRootName: string;
};
export declare class StartCmd implements Command {
    /**
     * access to the extension instance.
     */
    private ui;
    private logger;
    name: string;
    description: string;
    arguments: {
        name: string;
        description: string;
    }[];
    alias: string;
    group: string;
    options: CommandOptions;
    constructor(
    /**
     * access to the extension instance.
     */
    ui: UiMain, logger: Logger);
    render([userPattern]: StartArgs, { dev, port, rebuild, verbose, noBrowser, skipCompilation, skipUiBuild, uiRootName: uiRootAspectIdOrName, }: StartFlags): Promise<React.ReactElement>;
}
export {};
